import { useState as e } from "react";
import { Fragment as t, jsx as n } from "react/jsx-runtime";
import { QueryClient as r, QueryClientProvider as i } from "@tanstack/react-query";
//#region src/providers/QueryProvider.tsx
function a({ children: a }) {
	let [o] = e(() => new r({ defaultOptions: { queries: {
		staleTime: 60 * 1e3,
		refetchOnWindowFocus: !1,
		retry: 1
	} } }));
	return /* @__PURE__ */ n(i, {
		client: o,
		children: /* @__PURE__ */ n(t, { children: a })
	});
}
//#endregion
export { a as QueryProvider };
